AstrologyAPI

Use access token to call astrology api.

Learn More

Matching Birth Details

POSThttps://json.astrologyapi.com/v1/match_birth_details
Copy

This API provides the birth details of a male and female, including their year, month, day, hour, minute, latitude, longitude, timezone, sunrise, sunset, and ayanamsha, for the purpose of matching their compatibility.

POST/match_birth_details
Copy
1curl --location 'https://json.astrologyapi.com/v1/match_birth_details' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "m_day": 10,
6    "m_month": 5,
7    "m_year": 1990,
8    "m_hour": 11,
9    "m_min": 55,
10    "m_lat": 19.2056,
11    "m_lon": 25.2056,
12    "m_tzone": 5.5,
13    "f_day": 10,
14    "f_month": 5,
15    "f_year": 1990,
16    "f_hour": 11,
17    "f_min": 55,
18    "f_lat": 19.2056,
19    "f_lon": 25.2056,
20    "f_tzone": 5.5
21}'
22
200Response
Copy
1{
2  "male_astro_details": {
3    "year": 2000,
4    "month": 6,
5    "day": 27,
6    "hour": 15,
7    "minute": 30,
8    "latitude": 25.7464,
9    "longitude": 82.6837,
10    "timezone": 5.5,
11    "gender": "male",
12    "ayanamsha": 23.863896731915133,
13    "sunrise": "5:10:7",
14    "sunset": "18:54:25"
15  },
16  "female_astro_details": {
17    "year": 2000,
18    "month": 6,
19    "day": 27,
20    "hour": 15,
21    "minute": 30,
22    "latitude": 25.7464,
23    "longitude": 82.6837,
24    "timezone": 5.5,
25    "gender": "female",
26    "ayanamsha": 23.863896731915133,
27    "sunrise": "5:10:7",
28    "sunset": "18:54:25"
29  }
30}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

m_day

int

required

Day of birth, eg: 10

m_month

int

required

Month of birth, eg: 5

m_year

int

required

Year of birth, eg: 1990

m_hour

int

required

Hour of birth, eg: 11

m_min

int

required

Minute of birth, eg: 55

m_lat

float

required

Latitude, eg: 19.2056

m_lon

float

required

Longitude, eg: 25.2056

m_tzone

float

required

Timezone, eg: 5.5

f_day

int

required

Day of birth, eg: 10

f_month

int

required

Month of birth, eg: 5

f_year

int

required

Year of birth, eg: 1990

f_hour

int

required

Hour of birth, eg: 11

f_min

int

required

Minute of birth, eg: 55

f_lat

float

required

Latitude, eg: 19.2056

f_lon

float

required

Longitude, eg: 25.2056

f_tzone

float

required

Timezone, eg: 5.5

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.